5. Uploading Open Integration Configuration Files

Upload configuration files such as the keystore and truststore to the SCM container to synchronize them with the cluster and obtain the container path. You can upload the configuration files to the SCM container by using the /syncutilities/upload API:

  • Method: POST
  • Endpoint: /syncutilities/upload
  • Description: Uploads the Siebel keystore, Siebel truststore, and so on to the SCM container and returns the container path.
  • Sample API call request:
    POST https://<SCM_instance_IP>:<port_num>/scm/api/v1.0/syncutilities/upload Host: https://<scm-host>/scm/api/v1.0
    Authorization: Bearer <token>
    Content-Type: multipart/form-data
    Form field: file[] = /path/to/siebelserverkeystore.jks
    Form field: file[] = /path/to/siebelclientkeystore.jks
    Form field: file[] = /path/to/siebeltruststore.jks
  • Sample API call response:
    {
        "data": {
            "rejected_files": [],
            "sync_id": "SCM_FileSync_2025_05_23_05_46_20_FW6G8N", "synced_files": [
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/siebelserverkeystore.jks",
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/siebelclientkeystore.jks",
                "/home/opc/syncUtility/SCM_FileSync_<date>_<id>/siebeltruststore.jks"
            ]
        },
        "message": "All files successfully synced.", 
        "status": "success"
    }
Note:
  • The upload request uses the multipart form-data field file[].
  • SCM stores uploaded files in the /home/opc/syncUtility/{sync_id} directory.
  • Supported file extensions include .jks, .crt, .txt, .ini, .key, .sso, .p12, .properties, .pem, .ora, and.json
  • SCM rejects empty files and files larger than 1 MB.